import type { BaseStyleProps, DisplayObject, RenderingPlugin, RenderingService } from '@antv/g';
import { Point, Syringe } from '@antv/g';
export declare const PointInPathPickerFactory: Syringe.DefinedToken;
export declare type PointInPathPicker<T extends BaseStyleProps> = (displayObject: DisplayObject<T>, point: Point, isPointInPath?: (displayObject: DisplayObject<T>, point: Point) => boolean) => boolean;
/**
 * pick shape(s) with Mouse/Touch event
 *
 * 1. find AABB with r-tree
 * 2. do math calculation with geometry in an accurate way
 */
export declare class CanvasPickerPlugin implements RenderingPlugin {
    static tag: string;
    private displayObjectPool;
    private canvasConfig;
    private offscreenCanvas;
    private rBush;
    private pathGeneratorFactory;
    private pathGeneratorFactoryCache;
    private pointInPathPickerFactory;
    private tmpVec3a;
    private tmpVec3b;
    private tmpVec3c;
    apply(renderingService: RenderingService): void;
    private findClosestClipPath;
    private isHit;
    /**
     * use native picking method
     * @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/isPointInPath
     */
    private isPointInPath;
}
//# sourceMappingURL=CanvasPickerPlugin.d.ts.map